shishi_authorized_p(3)

NAME
shishi_authorized_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_authorized_p(Shishi * handle, Shishi_tkt * tkt, const char * authzname);

ARGUMENTS

Shishi * handle
    shishi handle allocated by shishi_init().

Shishi_tkt * tkt
    input variable with ticket info.

const char * authzname
    authorization name.

DESCRIPTION
Simplistic authorization of authzname against encrypted client principal name inside ticket. For "basic" authentication type, the principal name must coincide with authzname. The "k5login" authentication type attempts the MIT/Heimdal method of parsing the file "~/.k5login" for additional equivalence names.

RETURN VALUE
Returns 1 if authzname is authorized for services by the encrypted principal, and 0 otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.